/* eslint-env node */
/* global module: false, require: false */
'use strict';

const RSVP = require('rsvp');

module.exports = {
  name: 'ui-foundation',
  description: 'Blueprint for @choiceform/ui-foundation',

  normalizeEntityName(entityName) {
    return entityName;
  },

  afterInstall: function(options) {
    let isAddon = options.project.isEmberCLIAddon();

    this.ui.writeInfoLine(`Installing dependencies for ${isAddon ? 'addon' : 'application'} ...`);
    this.ui.writeInfoLine(`正在为 ${isAddon ? 'addon' : 'application'} 安装依赖...`);

    return this.addAddonToProject({name: 'ember-css-modules', blueprintOptions: {save: isAddon}})
      .then(() => {
        this.ui.writeLine(`For ${isAddon ? 'Addon' : 'Application'} usage, please run:`);
        this.ui.writeLine(`用于 ${isAddon ? 'Addon' : 'Application'}，请运行：`);
        this.ui.writeInfoLine(`ember generate foundation-for-${isAddon ? 'addon' : 'app'}`);
        return RSVP.resolve();
      });
  },
}
